org.deidentifier.arx.gui.worker

## Class WorkerExport

- java.lang.Object
- - org.deidentifier.arx.gui.worker.Worker<DataHandle>
  - - org.deidentifier.arx.gui.worker.WorkerExport

All Implemented Interfaces:
  org.eclipse.jface.operation.IRunnableWithProgress

    public class WorkerExport
    extends Worker<DataHandle>

This worker exports data to disk.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`WorkerExport(java.lang.String path, CSVSyntax csvConfig, DataHandle handle, ARXConfiguration config, long bytes)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(org.eclipse.core.runtime.IProgressMonitor arg0)`

### Methods inherited from class org.deidentifier.arx.gui.worker.Worker

`getError, getResult, setError`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkerExport

    public WorkerExport(java.lang.String path,
                        CSVSyntax csvConfig,
                        DataHandle handle,
                        ARXConfiguration config,
                        long bytes)

Creates a new instance.

Parameters:
  `path` -
  `separator` -
  `handle` -
  `config` -
  `bytes` -

### Method Detail

#### run

    public void run(org.eclipse.core.runtime.IProgressMonitor arg0)
             throws java.lang.reflect.InvocationTargetException,
                    java.lang.InterruptedException

Throws:
  `java.lang.reflect.InvocationTargetException`
  `java.lang.InterruptedException`